# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit 3bb900cd6c1c7a5364bd79bce63fdd8711bc878b
    parent 323d38da20c8a1d295ab1dbc0fc7ce947ef824e1
    Author: Devin J. Pohly <djpohly@gmail.com>
    Date:   Mon,  6 Nov 2017 18:25:58 -0600

    Remove Time argument from xsetsel

    This is an X type and should be internal to x.c.

    The selcopy() function was a single line and only used in one place, so
    it was inlined to reduce LOC.

    Signed-off-by: Devin J. Pohly <djpohly@gmail.com>

    Diffstat:
    Mst.c | 2+-
    Mwin.h | 2+-
    Mx.c | 18+++++++++---------

    3 files changed, 11 insertions(+), 11 deletions(-)
    diff --git a/st.c b/st.c
    @@ -1747,7 +1747,7 @@ strhandle(void)

     				dec = base64dec(strescseq.args[2]);
     				if (dec) {
    -					xsetsel(dec, CurrentTime);
    +					xsetsel(dec);
     					xclipcopy();
     				} else {
     					fprintf(stderr, "erresc: invalid base64\n");
    diff --git a/win.h b/win.h
    @@ -16,4 +16,4 @@ int xsetcolorname(int, const char *);
     void xsettitle(char *);
     int xsetcursor(int);
     void xsetpointermotion(int);
    -void xsetsel(char *, Time);
    +void xsetsel(char *);
    diff --git a/x.c b/x.c
    @@ -148,7 +148,7 @@ static void propnotify(XEvent *);
     static void selnotify(XEvent *);
     static void selclear_(XEvent *);
     static void selrequest(XEvent *);
    -static void selcopy(Time);
    +static void setsel(char *, Time);
     static void getbuttoninfo(XEvent *);
     static void mousereport(XEvent *);
     static char *kmap(KeySym, uint);
    @@ -441,12 +441,6 @@ bpress(XEvent *e)
     }

     void
    -selcopy(Time t)
    -{
    -	xsetsel(getsel(), t);
    -}
    -
    -void
     propnotify(XEvent *e)
     {
     	XPropertyEvent *xpev;
    @@ -620,7 +614,7 @@ selrequest(XEvent *e)
     }

     void
    -xsetsel(char *str, Time t)
    +setsel(char *str, Time t)
     {
     	free(sel.primary);
     	sel.primary = str;
    @@ -631,6 +625,12 @@ xsetsel(char *str, Time t)
     }

     void
    +xsetsel(char *str)
    +{
    +	setsel(str, CurrentTime);
    +}
    +
    +void
     brelease(XEvent *e)
     {
     	if (IS_SET(MODE_MOUSE) && !(e->xbutton.state & forceselmod)) {
    @@ -643,7 +643,7 @@ brelease(XEvent *e)
     	} else if (e->xbutton.button == Button1) {
     		if (sel.mode == SEL_READY) {
     			getbuttoninfo(e);
    -			selcopy(e->xbutton.time);
    +			setsel(getsel(), e->xbutton.time);
     		} else
     			selclear_(NULL);
     		sel.mode = SEL_IDLE;